[SciPy-Dev] Installing scipy on OS 10.6.2

Paul H. Fuoss fuoss@anl....
Tue Mar 23 12:03:06 CDT 2010


Ralf,

I downloaded scipy from svn.  Then I did the command:

$ LDFLAGS="-lgfortran -arch x86_64" FFLAGS="-arch x86_64" sudo python setupscons.py install

Trying this dies with:

scons: done building targets.
Executing scons command (pkg is scipy.fftpack): /usr/bin/python "/Library/Python/2.6/site-packages/numscons-0.10.1-py2.6.egg/numscons/scons-local/scons.py" -f scipy/fftpack/SConstruct -I. scons_tool_path="" src_dir="scipy/fftpack" pkg_name="scipy.fftpack" log_level=50 distutils_libdir="../../../../build/lib.macosx-10.6-universal-2.6" cc_opt=gcc-4.2 cc_opt_path="/usr/bin" f77_opt=gfortran f77_opt_path="/usr/local/bin" cxx_opt=g++-4.2 cxx_opt_path="/usr/bin" include_bootstrap=/Library/Python/2.6/site-packages/numpy-1.3.0-py2.6-macosx-10.6-universal.egg/numpy/core/include silent=0 bootstrapping=0 
scons: Reading SConscript files ...
Mkdir("build/scons/scipy/fftpack")
AttributeError: SConfBase instance has no attribute 'CheckF77Mangling':
  File "/Users/fuossadmin/Desktop/Downloads/scipy/scipy/fftpack/SConstruct", line 2:
    GetInitEnvironment(ARGUMENTS).DistutilsSConscript('SConscript')
  File "/Library/Python/2.6/site-packages/numscons-0.10.1-py2.6.egg/numscons/core/numpyenv.py", line 108:
    build_dir = '$build_dir', src_dir = '$src_dir')
  File "/Library/Python/2.6/site-packages/numscons-0.10.1-py2.6.egg/numscons/scons-local/scons-local-1.2.0/SCons/Script/SConscript.py", line 549:
    return apply(_SConscript, [self.fs,] + files, subst_kw)
  File "/Library/Python/2.6/site-packages/numscons-0.10.1-py2.6.egg/numscons/scons-local/scons-local-1.2.0/SCons/Script/SConscript.py", line 259:
    exec _file_ in call_stack[-1].globals
  File "/Users/fuossadmin/Desktop/Downloads/scipy/build/scons/scipy/fftpack/SConscript", line 11:
    config.CheckF77Mangling()
error: Error while executing scons command. See above for more information.
If you think it is a problem in numscons, you can also try executing the scons
command with --log-level option for more detailed output of what numscons is
doing, for example --log-level=0; the lowest the level is, the more detailed
the output it.

Any clues?

Thanks.

Paul

----- Original Message -----
From: "Ralf Gommers" <ralf.gommers@googlemail.com>
To: "SciPy Developers List" <scipy-dev@scipy.org>
Sent: Tuesday, March 23, 2010 10:10:04 AM GMT -06:00 US/Canada Central
Subject: Re: [SciPy-Dev] Installing scipy on OS 10.6.2





On Tue, Mar 23, 2010 at 10:57 PM, Paul Fuoss < fuoss@anl.gov > wrote: 


I have been unsuccessful at installing scipy on OS 10.6. When I try 
to build from the distribution, I get a huge number of library 
architecture errors. I've tried to build both against the python 
that comes with the system (2.6.1) and against the MacPort python 
(2.6.5) (see test summary at end of message). 

When I try to install via MacPort, it appears to install but much 
functionality is missing (e.g. curve_fit) that I assume is because 
the BLAS and LAPACK libraries aren't being linked to correctly. 

I'm using OS 10.6.2 on an Intel iMac. 

The latest Xcode is installed (3.2.1) with: 
i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5646) (dot 1) 

gfortran from research.att.acom: 
GNU Fortran (GCC) 4.2.3 

I would appreciate suggestions. 


How are you trying to build? The error suggests you are building for the wrong achitecture (32 vs 64-bit). 

I have been able to build against the Apple-provided python but not the python.org version so far. The difference is that the former is 64-bit while the latter is 32-bit. For Apple Python, install numscons ( http://projects.scipy.org/numpy/wiki/NumScons ) and gfortran (from http://r.research.att.com/tools/ ) and use: 
$ LDFLAGS="-lgfortran -arch x86_64" FFLAGS="-arch x86_64" python setupscons.py scons 

Cheers, 
Ralf 

_______________________________________________
SciPy-Dev mailing list
SciPy-Dev@scipy.org
http://mail.scipy.org/mailman/listinfo/scipy-dev


More information about the SciPy-Dev mailing list